Subject: Re: [kvm-unit-tests PATCH 09/32] scripts: allow machine option to be specified in unittests.cfg

From: "Nicholas Piggin" <[email-masked]>
Date: Thu, 29 Feb 2024 13:52:46 +1000

On Wed Feb 28, 2024 at 9:47 PM AEST, Andrew Jones wrote:
> On Mon, Feb 26, 2024 at 08:11:55PM +1000, Nicholas Piggin wrote:
> > This allows different machines with different requirements to be
> > supported by run_tests.sh, similarly to how different accelerators
> > are handled.
> > 
> > Acked-by: Thomas Huth <[email-masked]>
> > Signed-off-by: Nicholas Piggin <[email-masked]>
> > ---
> >  scripts/common.bash  |  8 ++++++--
> >  scripts/runtime.bash | 16 ++++++++++++----
> >  2 files changed, 18 insertions(+), 6 deletions(-)
>
> Please also update the unittests.cfg documentation.

Yeah good catch, I will do.

> Currently that
> documentation lives in the header of each unittests.cfg file, but
> we could maybe change each file to have a single line which points
> at a single document.

I'll take a look and do something if it's simple enough,
otherwise I'll just update the unittests.cfg.

Thanks,
Nick